/**
 * MCS Media Computer Software
 * Copyright 2012 by Wilfried Klaas
 * Project: MCSUtils
 * File: TestManagedProperty.java
 * EMail: W.Klaas@gmx.de
 * Created: 25.03.2012 Willie
 */

package de.mcs.utils.event;

import java.util.ArrayList;
import java.util.List;

import org.junit.Assert;
import org.junit.Test;

/**
 * @author Willie
 *
 */
public class TestManagedProperty {

  /**
   * Test method for
   * {@link de.mcs.utils.event.ManagedProperty#ManagedProperty(java.lang.String, de.mcs.utils.event.Delegate, java.lang.Object)}
   * .
   */
  @Test
  public void testManagedProperty() {
    Delegate delegate = new DelegateImpl();
    ManagedProperty<List<String>> managedProperty = new ManagedProperty<List<String>>("list", delegate,
        new ArrayList<String>());
    Assert.assertNotNull(managedProperty);
  }
}
